/* 
   Steuerung einer WaermePumpe
*/

/* Allgemeine Bitdefinitionen */
#define BIT_0	0x00
#define BIT_1	0x01
#define BIT_2	0x02
#define BIT_3	0x03
#define BIT_4	0x04
#define BIT_5	0x05
#define BIT_6	0x06
#define BIT_7	0x07

#define MASK_BIT_0	0x01
#define MASK_BIT_1	0x02
#define MASK_BIT_2	0x04
#define MASK_BIT_3	0x08
#define MASK_BIT_4	0x10
#define MASK_BIT_5	0x20
#define MASK_BIT_6	0x40
#define MASK_BIT_7	0x80



/* Nuetzliches fr die Timer */
#define CTR_CLKS_NONE						0x00 
#define CTR_CLKS_PRESCALE_1			0x01 
#define CTR_CLKS_PRESCALE_8			0x02 
#define CTR_CLKS_PRESCALE_64		0x03 
#define CTR_CLKS_PRESCALE_256		0x04 
#define CTR_CLKS_PRESCALE_1024	0x05 
#define CTR_CLKS_EXT_FALLING		0x06 
#define CTR_CLKS_EXT_RAISING		0x07 



/* Fehlerdefinitionen */
#define ERROR_NO_ERROR					0x00
#define ERROR_UNKNOWN_COMMAND		0x01
#define ERROR_MISSING_PARAMETER 0x03
#define ERROR_OUT_OF_RANGE			0x05


/* Ntzliches */
#define WHITESPACE ' '
#define DECIMALPOINT '.'
#define IDENTITY "RSW (Version 1.0)\r\n" // R-udimentre S-teuerung fr W-aermepumpen


/* Typdefs fr Register */
typedef uint8_t reg8;
typedef uint16_t reg16;
